Subject: Re: 43p-140 install issues

From: Sven Luther <[email-masked]>
Date: Mon, 3 Jan 2005 15:01:02 +0100

On Mon, Jan 03, 2005 at 08:39:43AM -0500, Mike Martin wrote:
> On Mon, 3 Jan 2005 08:05:35 +0100, Sven Luther <[email-masked]> wrote:
> 
> [snip]
> > There may be some problems with 2.6 kernels and pci irqs on prep. I will
> > investigate this shortly.
> 
> There is definitely something strange happening. The image I used to
> do the (nearly) complete install will no longer configure the network.
> Very inconsistent. I will try it (same image) again later today and
> see if it "just works" next time - like it did last time.

What exact machine do you have again ? 

> [snip]
> > 
> > Yep. Until partman-prep is ready, you should simply try to add the prep flag
> > to the a small partition. I think the normal scheme is to create /dev/sdb1 as
> > a small (8MB ?) prep partition, /dev/sdb2 as swap, and /dev/sdb3 as /. If
> > partman is not able to do it, jump to console 2, and launch parted directly,
> > and do a set 1 prep on.
> 
> Can't jump to console 2 - I can only comunicate through the serial

Ok, then go to execute a shell then.

> console. However I'll give this a shot through the "execute shell"
> menu item. "set 1 prep on"? Haven't seen that documented anywhere,
> what does it do?

set <minor> <flag> <on|off>

minor is the partition, starting at 1, flag is the flag, (prep in this case)
and on|off is obvious.

It simply sets the prep flag, which is then translated as a 0x41 partition
type. I think this is a deficiency in the parted/libparted API, but well,
there is not much we can do about that unless a major libparted change.

> > Then i suppose that copying the kernel is just a matter of :
> > 
> >   dd if=/boot/vmlinuz-2.6.8-powerpc of=/dev/sdb1
> > 
> > but you have to have a small prep partition as /dev/sdb1, or the above will
> > erase whatever you have on /dev/sdb1.
> > 
> 
> I' have the partition ready ...
> 
> Unfortunately, until the network comes back up, I can't get far enough
> in the install to access the SCSI drives (is there another way? Load
> the modules by hand? Which ones?). Without this, I can't get at the
> image I need to boot in order to get it onto the right partition. I
> also can't get it to another machine to net boot it.

He, understood, we definitively need to investigate the pci irq problems. 

> > > I tried booting up with the installer, going to a shell after the scsi
> > > was active and the installed system was mounted. I used sfdisk from
> > > /target/sbin to create a 10 Meg type 41 partition on the first HD
> > > (/dev/sdb0 eventually). I used dd to copy /target/boot/vmlinux to this
> > > partition. But it still won't boot.
> > 
> > Ah, no sure what is wrong. I don't think /dev/sdb0 exists. Not sure really.
> > 
> 
> Actually /dev/sdbX doesn't exist at all during the install from what I

Yep, d-i uses devfs, still partitions start at 1.

> have seen. The drives are refered to as
> /dev/scsi/host0/etc/.../etc/part1. I have two drives, one is 9 Gig
> with scsi id (0,4,0) (/dev/sda) . This is blank except for a 10 Meg
> boot partition; type 41. The second drive is 20 Gig with scsi id
> (0,5,0)(/dev/sdb) which is where the install is.
> 
> I copied (with dd) the file (the wrong file I suspect) to
> /dev/scsi/...../part1 which should correspond to the first partiton on
> the 9 Gig drive.

Indeed.

> I see how much more time I can buy with this machine. It may need to
> go back into storage this week if I can't make it run. Not fun.

What about donating it to debian or something such ?

Friendly,

Sven Luther